  /*******************
  Global
  *******************/

@import url(../Content/ripple.css);

:root {
    --main-color: #145F86;
    --main-dark-color: #0E5378;
    --main-color-hover: #0f5579;
    --link-color: #229c80;
    --link-hover: #2B7471;
}

.login-page, .register-page {
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100vh;
    -ms-flex-pack: flex-start;
    justify-content: flex-start;
}

.flex-login-box {
    -ms-flex-align: center;
    align-items: center;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100vh;
    width: 100%;
    -ms-flex-pack: center;
    justify-content: center;
}
.btn-secondary {
    color: #fff;
    background-color: #424242;
    border-color: #424242;
}

.btn-secondary:hover {
    background-color: #2d2d2d;
    border-color: #2d2d2d;
}
.bg-image {
    background-image: url('../Images/login_bg.jpg');
    background-size: cover;
    background-position: center;
    height: 100vh;
    width: 100%;
}
#pay_currency {
    border-left: 0px none !important;
    margin-left: 287px;
    margin-top: -38px;
    width: 72px;
}
.ui-autocomplete {
    max-height: 200px;
    overflow-y: auto;
    position: absolute;
    overflow-x: auto;
    padding-right: 20px;
    z-index: 2147483647;
}

  /*******************
  bootstrap Override
  *******************/


/*.modal-dialog {
    width: 100%;
    max-width: unset;
    height: 100%;
}*/

.modal-content {
    height: max-content;
    transform: translateX(-50%);
    left: 50%;
}

.payroll_dropdown .input-group select{
    background: #ffffff75;
    color: #858585;
    height: calc(1.8125rem + 2px);
    line-height: 1.5;
    padding: 0.25rem 0.3rem;
    font-size: .875rem;
    border: 1px solid #ced4da;
    border-radius:5px;
}
a {
    color: var(--link-color);
}

a:hover {
    color: var(--link-hover);
}
  
body {
    background-color: #e9ecef;
}

.btn-primary {
    color: #fff;
    background-color: var(--main-color) !important;
}

.btn-primary {
    color: #fff;
    background-color: var(--main-color);
    border-color: var(--main-color);
    box-shadow: none;
}

.btn-primary:hover {
    color: #fff;
    background-color: var(--main-color-hover) !important;
    border-color: var(--main-color-hover);
}

.btn-primary:not([disabled]):not(.disabled):active, 
.btn-primary:not([disabled]):not(.disabled).active, 
.show>.btn-primary.dropdown-toggle {
  background-color: var(--main-dark-color) !important;
}
.loginset {
    width: 87%;
    margin-right: 0px;
    margin-left: 0px;
}

.btn-link {
    color: var(--link-color);
}

.btn-link:hover {
    color: var(--link-hover);
}

.icheck-primary>input:first-child:checked+input[type=hidden]+label::before, 
.icheck-primary>input:first-child:checked+label::before {
    background-color: var(--link-color);
    border-color: var(--link-color);
}

.icheck-primary>input:first-child:not(:checked):not(:disabled):hover+input[type=hidden]+label::before, .icheck-primary>input:first-child:not(:checked):not(:disabled):hover+label::before {
    border-color: var(--link-color);
}

.icheck-primary>input:first-child:not(:checked):not(:disabled):focus+input[type=hidden]+label::before, .icheck-primary>input:first-child:not(:checked):not(:disabled):focus+label::before {
    border-color: var(--link-color);
}
.icheck-primary [class*=icheck-] > input:first-child + input[type=hidden] + label::before, [class*=icheck-] > input:first-child + label::before {
    background-color: #ffff;
}

.card {
    box-shadow: 0; 
    border: 1px solid #dcdcdc;
    border-radius: 0;
}

.login-card-body, .register-card-body {
    background: #f1f1f1;
}
.login-box .login-card-body .input-group-append span {
    font-size: 14px;
}

.login-card-body .input-group .input-group-text,
.register-card-body .input-group .input-group-text {
    background: #fff;
    width: 35px;
    padding: 8px;
}

.btn.btn-link.btn-block,
.login-card-body p a {
    font-size: .9em;
}

/*******************
  Customer Loader Css
  *******************/
.loading-image {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 10;
}

.loader {
    display: none;
    width: 200px;
    height: 200px;
    position: fixed;
    top: 50%;
    left: 50%;
    text-align: center;
    margin-left: -50px;
    margin-top: -100px;
    z-index: 2;
    overflow: auto;
}

/*******************
  Media Override
  *******************/
@media (min-width: 1024px) {
    .login-page, .register-page {
        -ms-flex-direction: row;
        flex-direction: row;
        width: 100%;
    }

    .flex-login-box, .bg-image {
        width: 50%;
    }


    /*******************
  Adding css for login view on Date 20-10-2020*/
    .flex-Errormsg-color {
        /*background-color:white;*/
        color: red;
        font-style: normal;
        /* //border: 2px solid black;*/
        /*margin: 20px;*/
        padding-top: 0%;
        /*padding-bottom: 20%;*/
        /*width: 50%;*/
        height: 00%;
    }
    /********************/
    
}
@media(min-width: 320px) and (max-width: 420px) {
    .input-group-text {
        padding: 0.375rem 0.5rem;
    }
}
.totalAlgin {
    text-align: right;
}

@media(max-width: 768px) {
    .form-inline.job-list-form {
        position: inherit;
    }
    .jobListDash .dataTables_wrapper div.dataTables_filter {
        margin-right: 8px;
        margin-top: 8px;
    }
}
@media(min-width: 769px) and (max-width: 1200px) {
    .form-inline.job-list-form {
        position: inherit;
    }
}

/*05-05-2022*/


.avatar-upload {
  position: relative;
  max-width: 150px;
  margin: 0px auto 20px;
}
.avatar-upload .avatar-edit {
  position: absolute;
  right: 0px;
  z-index: 1;
  top: 10px;
}
.avatar-upload .avatar-edit input {
  display: none;
}
.avatar-upload .avatar-edit input + label {
  display: inline-block;
  position:relative;
  width: 34px;
  height: 34px;
  margin-bottom: 0;
  border-radius: 100%;
  background: #145f86;
  border: 1px solid transparent;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
  cursor: pointer;
  font-weight: normal;
  transition: all 0.2s ease-in-out;
  color:#fff;
}
.avatar-upload .avatar-edit input + label:hover {
  background: #fff;
  color:#145f86;
  border-color: #145f86;
}
.avatar-upload .avatar-edit input + label:after {
  content: "\f044";
    font-family: "Font Awesome 5 Free";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    text-align: center;
    margin: auto;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.avatar-upload .avatar-preview {
  width: 145px;
  height: 145px;
  position: relative;
  border-radius: 100%;
  border: 2.5px solid #145f86;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
}
.avatar-upload .avatar-preview > div {
  width: 100%;
  height: 100%;
  border-radius: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.floating-labels label.customswitch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 25px;
    top:0;
}

.customswitch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.customswitch .slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
  border-radius: 25px;
}

.customswitch .slider:before {
  position: absolute;
  content: "";
  height: 19px;
  width: 19px;
  left: 3px;
  bottom: 3px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
  border-radius: 50%;
}

.customswitch input:checked + .slider {
  background-color: #2196F3;
}

.customswitch input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

.customswitch input:checked + .slider:before {
  -webkit-transform: translateX(25px);
  -ms-transform: translateX(25px);
  transform: translateX(25px);
}

.reportPayrollrange {
    background: #fff;
    cursor: pointer;
    padding: 0.27rem .5rem;
    border: 1px solid #ced4da;
    border-radius: 5px;
    width: 100%;
    font-size: 0.85rem;
    font-weight: 400;
    color: #858585;
}
